#!/usr/bin/csh
#
# Create the Livewire sample database
#
setenv db lwdemo
echo database name: $db

dbaccess - - <<!
create database  $db with log;
!

dbaccess $db - <<END

drop table customer;
create table customer
  (
	name	varchar(50,0)	not null,
	ID	integer		not null,
	address	varchar(50,0),
	city	varchar(20,0),
	state	varchar(2,0),
	zip	varchar(10,0),
	phone	varchar(13, 0)
  );

drop table supplier;
create table supplier
  (
	name		varchar(50,0) not null,
	id              integer       not null,
	address         varchar(50,0),
	city            varchar(20,0),
	state           varchar(2,0),
	zip             varchar(10,0),
	phone           varchar(13,0)
  );

drop table videos;
create table videos
  (
	title           varchar(50,0) not null,
	id              integer not null,
	year            integer,
	category        varchar(25,0),
	quantity        integer not null,
	numonhand       integer not null,
	synopsis        text
  );

drop table rentals;
create table rentals
  (
	customerId	integer	not null,
	videoId		integer	not null,
	invoiceNum	integer	not null,
	rentalDate	datetime year to fraction(3)	not null,
	dueDate		datetime year to fraction(3)	not null,
	returnDate	datetime year to fraction(3)
  );

drop table purchase;
create table purchase
  (
	videoID		integer not null,
	supplierID	integer not null,
	orderNum	integer not null,
	unitPrice	decimal(10,2) not null,
	quantity	integer not null,
	purchDate	date not null
  );

drop table invoice;
create table invoice
  (
	lastnumber integer not null
  );

drop table categories;
create table categories
  (
	category varchar(25)
  );


END

dbaccess $db - <<!

load from "purchase.unl" insert into purchase;

load from "rental.unl" insert into rentals;

load from "customer.unl" insert into customer;

load from "supplier.unl" insert into supplier;

load from "video.unl" insert into videos;

load from "category.unl" insert into categories ;

grant resource to public;

!
