create table customer
  (
	name	varchar(50)	not null,
	ID	integer		not null,
	address	varchar(50) null,
	city	varchar(20) null,
	state	varchar(2) null,
	zip	varchar(10) null,
	phone	varchar(13) null
  );

create unique index cidx on customer (ID);

create table supplier
  (
	name		varchar(50) not null,
	id              integer       not null,
	address         varchar(50) null,
	city            varchar(20) null,
	state           varchar(2) null,
	zip             varchar(10) null,
	phone           varchar(13) null
  );

create unique index sidx on supplier (id);

create table videos
  (
	title           varchar(50) not null,
	id              integer not null,
	year            integer,
	category        varchar(25) null,
	quantity        integer not null,
	numonhand       integer not null,
	synopsis        varchar(290) null
  );

create unique index vidx on videos (id);

create table rentals
  (
	customerId	integer	not null,
	videoId		integer	not null,
	invoiceNum	integer	not null,
	rentalDate	date 	not null,
	dueDate		date not null,
	returnDate	date null
  );

create unique index ridx on rentals (customerId, videoId, invoiceNum);

create table purchase
  (
	videoID		integer not null,
	supplierID	integer not null,
	orderNum	integer not null,
	unitPrice	decimal(10,2) not null,
	quantity	integer not null,
	purchDate	date not null
  );

create unique index pidx on purchase (videoID, supplierID, orderNum);

create table invoice
  (
	lastnumber integer not null
  );

create unique index iidx on invoice (lastnumber);

create table categories
  (
	category varchar(25)
  );

create unique index catidx on categories (category);

grant all on purchase to public;

grant all on rentals to public;

grant all on customer to public;

grant all on supplier to public;

grant all on videos to public;

grant all on invoice to public;

grant all on categories to public;






