import netscape.server.applet.HttpApplet;

import java.io.PrintStream;
import java.io.File;

class Multi extends HttpApplet {

    public void run() throws Exception {
	if (returnNormalResponse("multipart/x-mixed-replace; boundary=" + boundary)) {
	    PrintStream out = getOutputStream();

	    out.println("--" + boundary);
	    out.println("Content-type: text/html\n");
	    out.println(header);
	    out.println(trailer);

	    out.println("--" + boundary);
	    String vpath = getConfigProperty("vpath");

            // If there was no vpath given, try to find one from path info.
            if(vpath == null) {
                vpath = getServerProperty("path-info");
                if(vpath == null) {
                    out.println("Content-type: text/html\n");
                    out.print(usage);
	            out.println("--" + boundary + "--");
                    return;
                }
            }
	    out.println("Content-type: image/gif\n");
	    File file = new File(translateURI(vpath) + "/movie.gif");
	    returnFile(file);

	    out.println("--" + boundary + "--");
	}
    }

    static private String boundary = "End";

    static private String header = 
        "<html><title>Multi-Part Test</title><h1>Multi-Part Test</h1>" + 
        "This page was generated by a " + 
        "<a href=/server-java/Multi.java><b>server side Java program</b></a>." +
        "<p>";
    static private String trailer = 
        "</html>\n";
    static private String usage =
        "<html><title>Multi</title><H1>Multi</h1>" +
        "Usage error: You must provide a virtual path to the images you want "+
        "to select from as path information. For example, access<p>" +
        "<b><a href=/server-java/Multi/ns-icons>" +
        "/server-java/Multi/ns-icons</a></b>" +
        "</html>\n\n";

}
